namespace OASystem.API.OAMethodLib.Hub.HubClients
{
    public interface IChatClient
    {
        Task SignalRLogin(int userId);

        Task SendAsync(string method, object message);

        Task SendAll(object message);

        Task SendMessageByUser(object message);

        Task SendCustomUserMessage(object message);


        Task ReceiveMessage(object message);

        /// <summary>
        /// 发送消息给指定用户(系统)
        /// </summary>
        /// <param name="message"></param>
        /// <returns></returns>
        Task SendSystemToUser(string message);

        /// <summary>
        /// 发送消息给所有用户(系统)
        /// </summary>
        /// <param name="id"></param>
        /// <param name="message"></param>
        /// <returns></returns>
        Task SendSystemToAllUser(string message);
    }
}
